# $Revision: 1.122.2.4 $, $Date: 2006-11-03 17:49:21 $
#
# Conditional build:
%bcond_without	pppoatm	# without PPPoATM plugin (which requires kernel 2.4 and atm-devel)
#
Summary:	ppp daemon package for Linux
Summary(de):	ppp-Dmonpaket fr Linux
Summary(es):	Servidor ppp para Linux
Summary(fr):	Paquetage du dmon ppp pour Linux
Summary(pl):	Demon PPP dla Linuksa
Summary(pt_BR):	Servidor ppp para Linux
Summary(ru):	 ppp
Summary(tr):	PPP sunucu sreci
Summary(zh_CN):	PPP ú͹.
Name:		ppp
Version:	2.4.2
Release:	7.5
Epoch:		3
License:	distributable
Group:		Networking/Daemons
Source0:	ftp://ftp.samba.org/pub/ppp/%{name}-%{version}.tar.gz
# Source0-md5:	362bcf218fba8afbb9afbee7471e5dac
Source1:	%{name}.pamd
Source2:	%{name}.pon
Source3:	%{name}.poff
Source4:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-non-english-man-pages.tar.bz2
# Source4-md5:	3801b59005bef8f52856300fe3167a64
Source5:	%{name}.logrotate
Patch0:		%{name}-make.patch
Patch1:		%{name}-expect.patch
Patch2:		%{name}-debian_scripts.patch
Patch3:		%{name}-static.patch
#http://www.sfgoth.com/~mitch/linux/atm/pppoatm/pppoatm-pppd-vs-2.4.0b2+240600.diff.gz
Patch4:		%{name}-pppoatm.patch
Patch5:		%{name}-pidfile-owner.patch
Patch6:		%{name}-rp-pppoe-update.patch
Patch7:		%{name}-rp-pppoe-macaddr.patch
Patch8:		%{name}-radius.patch
Patch9:		%{name}-pcap.patch
Patch10:	%{name}-lib64.patch
Patch11:	%{name}-udev.patch
Patch12:	http://public.planetmirror.com/pub/mppe/pppd-2.4.2-chapms-strip-domain.patch.gz
URL:		http://www.samba.org/ppp/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libpcap-devel >= 2:0.8.1
BuildRequires:	libtool
%{?with_pppoatm:BuildRequires:	linux-atm-devel}
BuildRequires:	pam-devel
Requires:	pam >= 0.77.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the daemon and documentation for PPP support. It requires a
kernel greater than 2.2.11 which is built with PPP support. The
default kernels include PPP support as a module. This version supports
IPv6, too.

%description -l de
Dies ist der Dmon und die Dokumentation fr PPP-Support. Erfordert
einen Kernel hher als 2.2.11, der mit PPP-Support gebaut ist. Die
Standard- Red-Hat-Kernel schlieen PPP-Support als Modul ein. (IPv6)

%description -l es
Este es el servidor y la documentacin para soporte PPP. Requiere un
kernel superior al 2.0. Los kernels padrn de la Conectiva incluyen
soporte PPP como mdulo.

%description -l fr
Ceci est le dmon et la documentation pour le support PPP. Cela
rclame un noyau suprieur au 2.2.11 et construit avec le support PPP.
Le noyau par dfaut de Red Hat contient le support PPP sous forme de
module. (IPv6)

%description -l pl
Pakiet zawiera demona i dokumentacj umoliwiajc korzystanie z
protokou PPP. Wymaga jdra 2.2.11 - lub pniejszego - z wkompilowan
obsug protokou PPP. Standardowe jdro z dystrybucji zawiera
wsparcie dla PPP skompilowane jako modu. (IPv6)

%description -l pt_BR
Este  o servidor e a documentao para suporte PPP. Ele requer um
kernel superior ao 2.0. Os kernels-padro da Conectiva incluem suporte
PPP como mdulo.

%description -l ru
,       PPP.

%description -l tr
Bu paket PPP destei iin belgeler ve sunucu srecini ierir. ekirdek
srmnun 2.2.11'dan daha yksek olmasn gerektirir. ntanml Red
Hat ekirdei PPP desteini bir modl olarak ierir. (IPv6)

%package plugin-devel
Summary:	Stuff needed to build plugins for pppd
Summary(pl):	Rzeczy potrzebne do budowania wtyczek dla pppd
Group:		Development/Libraries
# doesn't require base

%description plugin-devel
Development files needed to build plugins for pppd.

%description plugin-devel -l pl
Pliki nagwkowe potrzebne do budowania wtyczek dla pppd.

%package plugin-pppoatm
Summary:	PPPoATM plugin for pppd
Summary(pl):	Wtyczka PPPoATM dla pppd
Group:		Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description plugin-pppoatm
PPPoATM plugin for pppd.

%description plugin-pppoatm -l pl
Wtyczka PPPoATM dla pppd.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%{?with_pppoatm:%patch4 -p1}
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%if "%{_lib}" == "lib64"
%patch10 -p1
%endif
%patch11 -p1
%patch12 -p1

%build
cd pppd/plugins/radius/radiusclient
# cannot use system radiusclient 0.3.2 - this version is modified
# (contains some extensions which made it incompatible with original)
# lt must be rebuilt (old libtool didn't use PIC on ppc-linux)
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
cd ../../../..
# note: not autoconf configure
%configure
%{__make} \
	OPT_FLAGS="%{rpmcflags}" \
	CC="%{__cc}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_mandir}/man{1,8}} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/{pam.d,ppp/peers},/var/log} \
	$RPM_BUILD_ROOT/etc/logrotate.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE2} $RPM_BUILD_ROOT%{_bindir}/pon
install %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/poff
install debian/plog $RPM_BUILD_ROOT%{_bindir}

install etc.ppp/chap-secrets $RPM_BUILD_ROOT%{_sysconfdir}/ppp
install debian/pap-secrets $RPM_BUILD_ROOT%{_sysconfdir}/ppp
install debian/options $RPM_BUILD_ROOT%{_sysconfdir}/ppp
install debian/options.ttyXX $RPM_BUILD_ROOT%{_sysconfdir}/ppp

bzip2 -dc %{SOURCE4} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

install %{SOURCE5} $RPM_BUILD_ROOT/etc/logrotate.d/ppp
> $RPM_BUILD_ROOT/var/log/ppp
> $RPM_BUILD_ROOT/var/log/ppp.log

rm -f scripts/README

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/ppp

cd $RPM_BUILD_ROOT%{_libdir}/pppd
ln -s %{version}* plugins

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.linux debian/README.debian scripts
%doc debian/win95.ppp README.MSCHAP8* FAQ debian/ppp-2.3.0.STATIC.README
%doc README.MPPE README.pppoe README.cbcp README.pwfd
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/chat
%attr(755,root,root) %{_sbindir}/ppp*
%dir %{_libdir}/pppd
%dir %{_libdir}/pppd/*.*
%{_libdir}/pppd/plugins
%attr(755,root,root) %{_libdir}/pppd/*.*/minconn.so
%attr(755,root,root) %{_libdir}/pppd/*.*/pass*.so
%attr(755,root,root) %{_libdir}/pppd/*.*/rp-pppoe.so
%attr(755,root,root) %{_libdir}/pppd/*.*/rad*.so

%{_mandir}/man8/*
%lang(fr) %{_mandir}/fr/man8/*
%lang(ja) %{_mandir}/ja/man8/*
%lang(ko) %{_mandir}/ko/man8/*
%lang(pl) %{_mandir}/pl/man8/*

%attr(600,root,root) %config(missingok,noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ppp/*-secrets
%attr(644,root,root) %config(missingok,noreplace) %verify(not md5 mtime size) %{_sysconfdir}/ppp/options*
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/ppp
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/ppp
%attr(640,root,root) %ghost /var/log/ppp
%attr(640,root,root) %ghost /var/log/ppp.log

%dir %{_sysconfdir}/ppp/peers

%files plugin-devel
%defattr(644,root,root,755)
%dir %{_includedir}/pppd
%{_includedir}/pppd/pppd.h
%{_includedir}/pppd/patchlevel.h

%if %{with pppoatm}
%files plugin-pppoatm
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/pppd/*.*/pppoatm.so
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: ppp.spec,v $
Revision 1.122.2.4  2006-11-03 17:49:21  twittner
- always qoute %%{__cc} when you type something like CC="%%{__cc}"
  or you'll get error simalar to:
+ /usr/bin/make OPT_FLAGS=-O2 -fno-strict-aliasing -fwrapv -march=athlon -gdwarf-2 -g2  CC=ccache athlon-pld-linux-gcc
make: *** No rule to make target `athlon-pld-linux-gcc'.  Stop.

Revision 1.122.2.3  2006/01/26 13:14:08  charles
- added orphaned /var/log/ppp

Revision 1.122.2.2  2005/05/09 09:33:52  qboosh
- no whitespace at eols, sorted verify() flags

Revision 1.122.2.1  2005/05/09 09:32:31  qboosh
- gpm-friendly Source0 URL

Revision 1.122  2004/10/25 19:46:38  jajcus
- added patch that adds 'ms-ignore-domain' option to pppd, needed in some setups

Revision 1.121  2004/09/26 21:34:31  kolodko
- added macros in /etc/logrotate.d

Revision 1.120  2004/09/18 15:18:26  saq
- support for /udev/* devices

Revision 1.119  2004/03/31 10:25:36  qboosh
- release 7

Revision 1.118  2004/03/31 10:11:53  qboosh
- updated make patch to be lib64-compliant, added conditional lib64 patch

Revision 1.117  2004/03/31 08:57:05  qboosh
- plugin-devel doesn't require base, plugin-pppoatm requires equal rel
- release 6

Revision 1.116  2004/03/20 08:47:36  qboosh
- pppoatm plugin updates (working persist, no version warning, set device name)
- release... let it be 5 to easy distinguish from 2.4.2 snap with 2.4.2-4 version

Revision 1.115  2004/02/11 22:01:34  qboosh
- updated make and pppoatm patches; BR: libpcap-devel
- release 0.2 (pppoatm works again, so I can commit it now ;P)

Revision 1.114  2004/02/08 15:17:09  adgor
- Grrr... epoch++

Revision 1.113  2004/02/08 11:59:05  misi3k
- rel 0.2
- added pcap headers patch

Revision 1.112  2004/02/08 09:54:54  misi3k
- updated to 2.4.2, NFY

Revision 1.111  2003/12/13 13:28:18  qboosh
- hey, this is still snapshot - restored ~proper versioning in release

Revision 1.110  2003/11/27 20:54:42  qboosh
- added radius patch, rebuild ac/am/lt for radiusclient (needed); release 4

Revision 1.109  2003/11/26 09:20:23  ankry
- rel. 3 for Ac

Revision 1.108  2003/10/19 00:45:39  qboosh
- fixed pppoatm patch (must be linked with -latm)
- separated pppoatm, build it by default

Revision 1.107  2003/09/26 14:24:02  baggins
- release 1

Revision 1.106  2003/09/26 14:20:25  baggins
- req pam >= 0.77.3

Revision 1.105  2003/08/12 22:32:52  ankry
- cosmetics

Revision 1.104  2003/07/22 15:40:16  dzimi
- rel 2
- fix ppp over atm and remove it from TODO

Revision 1.103  2003/07/10 20:00:03  arekm
- add plugins dir

Revision 1.102  2003/06/27 13:10:48  mmazur
- mass commit; now req: name = epoch:version

Revision 1.101  2003/06/17 16:22:56  qboosh
- updated make patch, use %%configure in radiusclient to use proper optflags
- headers are installed by make install now, no need to do it manually

Revision 1.100  2003/06/13 14:24:56  areq
- 20030613, update make and rp-pppoe-update.patch

Revision 1.99  2003/06/08 11:00:18  arekm
- updated; ppp-make.patch not yet fixed

Revision 1.98  2003/06/02 15:18:30  ankry
- added/changed non-english-man-pages URL

Revision 1.97  2003/05/31 04:08:33  adgor
- Sources md5

Revision 1.96  2003/05/30 20:25:52  arekm
- merged DEVEL

Revision 1.91.2.9  2003/03/15 14:51:22  qboosh
- more typos

Revision 1.91.2.8  2003/03/15 14:49:41  radzio
s/nagwkowe/nagwkowe/ in %description -l pl plugin-devel

Revision 1.91.2.7  2003/03/15 14:43:26  radzio
- add new subpackage (ppp-plugin-devel) with .h files which are needed to build plugins for pppd

Revision 1.91.2.6  2002/09/03 20:22:13  misiek
- rel .2; set MACREMOTE env variable for PPPoE

Revision 1.91.2.5  2002/09/01 19:14:21  misiek
- updated to 20020901

Revision 1.91.2.4  2002/08/10 17:30:51  misiek
- updated PPPoE driver (rp-pppoe 3.5)

Revision 1.91.2.3  2002/08/10 11:32:51  misiek
- removed radiusclient BR

Revision 1.91.2.2  2002/08/10 11:21:42  misiek
- removed radiusclient libs/bins

Revision 1.91.2.1  2002/08/09 23:02:55  misiek
- 2.4.2 snap with (new) pppoe driver and native radius support

Revision 1.91  2002/08/08 22:55:56  wojtekka
- added missing pppoed when builing _with_pppoe.

Revision 1.90  2002/05/25 21:39:23  qboosh
- new %%doc, fixed _with_pppoe bcond

Revision 1.89  2002/05/17 07:48:59  kloczek
- merge translations from KSI and TurboLinux.

Revision 1.88  2002/05/16 12:29:36  zagrodzki
- added MPPE support
- fixed owner of pidfile
- rel 13
- STBR

Revision 1.87  2002/03/27 11:19:56  orzech
- norelpace to /etc/ppp/options*
- rel 11

Revision 1.86  2002/03/14 00:08:04  qboosh
- release 10: fixed OPT_FLAGS passing in opt and opt-pppoe patches

Revision 1.85  2002/03/13 08:43:59  misiek
- SECURITY: fixed internal zlib implementation; release 9

Revision 1.84  2002/03/13 08:24:35  misiek
- fixed url

Revision 1.83  2002/02/22 23:29:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.82  2002/01/18 02:14:41  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.81  2002/01/02 18:44:49  baggins
- buildrequires linux-atm-devel for pppoa

Revision 1.80  2001/12/28 17:12:18  gotar
- typo.

Revision 1.79  2001/12/13 02:59:00  gotar
- %install: touch changed to >.

Revision 1.78  2001/12/13 02:38:27  gotar
- fixed Linux name spelling.

Revision 1.77  2001/12/07 22:21:23  gotar
- added logrotate rule for /var/log/ppp.log,
- release 8.

Revision 1.76  2001/12/07 21:12:45  mkochano
- /etc/pam.d/* marked with %%config(noreplace).
- Release++ (I'm too lazy to write here new release number for each
  spec. Sorry).

Revision 1.75  2001/12/01 21:37:06  kloczek
- typo.

Revision 1.74  2001/12/01 21:27:06  kloczek
- fixed %install: forrection touch file for %ghost log.

Revision 1.73  2001/11/30 20:35:35  gotar
- fixed broken logs.

Revision 1.72  2001/11/30 20:23:11  gotar
- added /var/log/ppp.log log,
- release 6.

Revision 1.71  2001/11/28 00:28:31  blues
- release 5

Revision 1.70  2001/11/28 00:15:28  qrczak
- Fix descriptions of _with_ppp*.

Revision 1.69  2001/11/27 23:24:23  blues
- reversed conditions for ppp-o-e and ppp-o-atm
- renamed these
NOTE: 2.2 is still default PLD kernel...

Revision 1.68  2001/11/27 18:51:45  qboosh
- fixed non-english-man-pages source# in %%install

Revision 1.67  2001/11/27 00:22:31  ankry
- added fr, ja, ko, pl man pages

Revision 1.66  2001/11/18 14:18:18  kloczek
- release 4.

Revision 1.65  2001/11/18 12:47:15  hunter
-Added config (noreplace) to *-secres files
-STBR

Revision 1.64  2001/11/16 06:37:07  kloczek
- release 3,
- merged reap, warnings patches from rawhide,
- merged translations from CNV,
- fix %files for build correctly on kernel 2.2.x.

Revision 1.63  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.62  2001/10/18 16:40:23  gotar
- cosmetics.

Revision 1.61  2001/09/09 17:46:13  gotar
- cosmetical changes in descriptions.

Revision 1.60  2001/08/30 12:18:49  gotar
- awful %%configure macro expansions removed,
- other specs' changelogs cosmetical fixes,
- no functional nor release changes.

Revision 1.59  2001/08/26 10:35:59  gotar
- adapterized.

Revision 1.58  2001/08/22 17:28:31  filon
- removed stripping executables, it's done by rpm automation

Revision 1.57  2001/07/14 17:28:12  gotar
- removed redundant rpm macros.

Revision 1.56  2001/06/30 17:13:40  gotar
- added missingok flag for %{_sysconfdir}/ppp/{*-secrets,options*} files,
- added using %{__*} macros.

Revision 1.55  2001/06/15 16:08:57  baggins
- fixed pppoatm patch
- added without_pppoatm bcond
- added pppoatm package

Revision 1.54  2001/06/12 16:12:17  qboosh
- updated opt patch (no-PPPoE version)
- changed opt-pppoe patch - use DESTDIR when installing plugins
- s/no_cbcp/_without_cbcp/

Revision 1.53  2001/06/10 21:22:08  misiek
- updated patches
- new PPPoE patch
- version 2.4.1

Revision 1.52  2001/05/22 09:06:51  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.51  2001/04/30 16:05:28  kloczek
- added using %%{rpmcflags} macro.

Revision 1.50  2001/03/05 23:54:12  qboosh
- _without_pppoe (PPPoE requires kernel 2.4)

Revision 1.49  2001/03/03 10:36:08  misiek
2.4.0 is back again

Revision 1.46  2001/01/25 20:03:47  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.45  2001/01/18 15:03:23  baggins
- release 5
- added PPP over Ethernet patch

Revision 1.44  2000/12/28 14:46:04  baggins
- release 4
- fixed wtmp patch

Revision 1.43  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.42  2000/12/19 05:03:53  kloczek
- release 3: merge pam_session and wtmp RH patches.

Revision 1.41  2000/12/18 23:56:25  lukasz
- added speed patch

Revision 1.40  2000/10/22 23:32:17  kloczek
- added "Epoch: 1" for allow upgrade from 2.4.0b2.

Revision 1.39  2000/10/22 22:55:14  misiek
removed ipv6 patch (obsolete)

Revision 1.38  2000/10/22 22:24:17  misiek
updated to 2.4.0; ipv6cp-use-persistent probably fixed

Revision 1.37  2000/10/20 01:37:18  kloczek
- release 3: use new rpm automation.

Revision 1.36  2000/09/25 15:22:47  kloczek
- switch for CBCP changed from without_cbcp to no_cbcp.

Revision 1.35  2000/09/21 09:28:06  kloczek
- more fixes for CBCP:
-- added CBCP patch,
-- in default configuration pppd is builded with CBCP but pass --define
   "without-cbcp 1" to rpm parameters allow build pppd without CBCP.

Revision 1.34  2000/09/21 08:56:19  kloczek
- release 2,
- adapterized and added -DCBCP_SUPPORT to compile options (Enable Call Back
  Configuration Protocol).

Revision 1.33  2000/06/09 07:23:51  kloczek
- added using %%{__make} macro.

Revision 1.32  2000/05/23 18:05:26  kloczek
- spec adapterized.

Revision 1.31  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.30  2000/04/20 22:44:37  waszi
- updated to 2.4.0b2

Revision 1.29  2000/04/15 18:21:49  kloczek
- release 5,
- added /etc/ppp/peers directory for call option.

Revision 1.28  2000/04/01 11:15:35  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.27  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.26  2000/02/29 16:14:39  kloczek
- release 4.

Revision 1.25  2000/02/29 11:09:33  misiek
- added ipv6 patch

Revision 1.24  2000/02/23 17:13:37  wiget
- Don't hardcode RPM_OPT_FLAGS in Makefiles

Revision 1.23  2000/02/23 16:35:30  misiek
- info about IPv6 (it wasn't broken !)

Revision 1.22  2000/02/23 10:20:33  waszi
- disable ipv6 support (its broken)

Revision 1.21  2000/02/20 14:01:48  kloczek
- release 2 (in rawhide is 1).

Revision 1.20  2000/02/18 09:52:38  waszi
- updated to 2.3.11

Revision 1.19  2000/02/17 19:01:02  zagrodzki

- buildrequires: pam-devel

Revision 1.18  1999/10/13 07:55:27  waszi
- updated to 2.3.10

Revision 1.17  1999/09/01 01:24:07  kloczek
- cosmetics.

Revision 1.16  1999/08/29 13:35:54  pius
- fixed installing man pages

Revision 1.15  1999/08/20 14:59:28  misiek
added man page

Revision 1.14  1999/08/17 10:38:07  misiek
ipv6 ready ppp package

Revision 1.11  1999/07/31 13:53:56  misiek
added missing patch

Revision 1.10  1999/07/12 23:06:12  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sun Jun 06 1999 Jan Rkorajski <baggins@pld.org.pl>
  [2.3.8-1]
- small fixes

* Wed Apr 28 1999 Piotr Czerwiski <pius@pld.org.pl>
  [2.3.7-1]
- updated to 2.3.7,
- removed ppp-2.3.5-glibc.diff,
- added ppp-auth.patch,
- split ppp-2.3.5.debian.patch into separate patches,
- updated all patches for new version,
- simplifications in %install,
- changes in %files,
- fixed passing RPM_OPT_FLAGS during compilation,
- added stripping binaries,
- major changes,
- recompiled on rpm 3.

* Tue Feb 02 1999 Arkadiusz Mikiewicz <misiek@misiek.eu.org>
  [2.3.5-3d]
- added debian patch
- corrected permissions

* Mon Aug 31 1998 Wojtek lusarczyk <wojtek@shadow.eu.org>
  [2.3.5-1d]
- build against glibc-2.1,
- changed permissions of all binaries to 711,
- build from non root's account,
- build with PAM support,
- added md5 support.

* Wed Aug 26 1998 Krzysztof G. Baranowski <kgb@knm.org.pl>
  [2.3.5-1]
- build against glibc-2.0.7,
- translations modified for pl,
- added small patch to solve problems with glibc.
